
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle自动备份数据 / iVAN</title>

    <meta name="description" content="Oracle自动备份数据 Oracle自动备份数据 相信为数不少的系统管理员每天都在做着同一样的工作--对数据进行备份.一旦哪一天疏忽了,而这一天系统又恰恰发生了故障,需要进行数据恢复,那么此时就无能为力了.假如每天设定一个固定的时间,系统自动进行备份,那该多好啊!下面笔者结合实践经验,谈一谈UNIX环境下Oracle数据库的自动备份,以起到抛砖引玉的作用. 我们计划让数据库在晚上23点做export导出备份,在凌晨2点将备份文件拷贝到磁带上,在凌晨4点将备份文件拷贝到另一台UNIX机器上,为此我们可进行如下操作: 一.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle自动备份数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Oracle自动备份数据</p>
<p>　相信为数不少的系统管理员每天都在做着同一样的工作——对数据进行备份。一旦哪一天疏忽了，而这一天系统又恰恰发生了故障，需要进行数据恢复，那么此时就无能为力了。假如每天设定一个固定的时间，系统自动进行备份，那该多好啊！下面笔者结合实践经验，谈一谈UNIX环境下Oracle数据库的自动备份，以起到抛砖引玉的作用。</p>
<p>　　我们计划让数据库在晚上23点做export导出备份，在凌晨2点将备份文件拷贝到磁带上，在凌晨4点将备份文件拷贝到另一台UNIX机器上，为此我们可进行如下操作：</p>
<p>　　一、导出数据库</p>
<p>　　export命令将数据库中的数据备份成一个二进制文件，它通常有三种模式：用户模式、表模式和整个数据库模式。本文拟采用用户模式，备份之前，应先建立一个备份目录，以容纳备份文件，比如可建一个/backup目录。接着我们可在UNIX的Oracle目录下（也可以是其它目录）分别建立两个文件ora—backup，tar—backup。需要说明的是，前一个文件需要对Oracle的参数进行初始化，为了方便起见，我们不妨将初始化命令放到一个文件中（文件名姑且定为ora—env），再由第一个文件调用它。</p>
<p>　　1. ora—env文件对Oracle的参数进行初始化，其内容如下：</p>
<p>　　ORACLE—HOME=＄ORACLE—HOME;export ORACLE—HOME</p>
<p>　　ORACLE—SID=ora73;export ORACLE—SID</p>
<p>　　ORACLE—TERM=sun;export ORACLE—TERM</p>
<p>　　LD—LIBRARY—PATH=＄ORACLE—HOME/lib;export LD—LIBRARY—PATH</p>
<p>　　ORA—NLS32=＄ORACLE—HOME/ocommon/nls/admin/data;export ORA—NLS</p>
<p>　　PATH=.:/usr/ccs/bin:/usr/ucb:＄ORACLE—HOME/bin:＄PATH;export PATH</p>
<p>　　DISPLAY=host1:0;export DISPLAY</p>
<p>　　NLS—LANG=american—america.zhs16cgb231280;export NLS—LANG</p>
<p>　　2. ora—backup文件对数据库做export导出，导出的文件名可以任意定，本文定为字母“xx”加当天日期，即假如当天日期是12月10号，则导出的文件名为“xx1210.dmp”，以区别于其它日期的备份文件。</p>
<p>　　ora—backup文件内容：</p>
<p>　　./oracle/ora—env</p>
<p>　　＃初始化Oracle数据库</p>
<p>　　rq=" data+'%m%d' "</p>
<p>　　＃把当天日期赋予变量rq</p>
<p>　　rm /backup/</p>
<p>　　＃ 清空 /backup目录</p>
<p>　　exp test/test file=/backup/xx＄rq.dmp log=/backup/xx＄rq.log</p>
<p>　　本命令用于在＄提示符下，导出test用户的数据（其口令亦为test），导出文件及日志均放在/backup目录下。</p>
<p>　　二、磁带备份</p>
<p>　　tar—backup文件将用export命令导出的数据文件拷贝到磁带上。</p>
<p>　　tar—backup文件内容：</p>
<p>　　tar rvf /dev/rmt/0n/backup/</p>
<p>　　本命令可将/backup目录下当天产生的文件备份到磁带上。本文件中，tar命令使用了三个参数，其中r选项表示向磁带上拷入文件而不破坏磁带原来内容，v选项表示在拷贝过程中显示文件信息，f选项后面加上磁带设备名，指定文件向何处拷贝，n选项表示磁带机不倒带。/dev/rmt/0表示UNIX主机第一个磁带驱动器，同理，/dev/rmt/1则表示UNIX主机第二个磁带驱动器，依此类推。</p>
<p>　　ora—env、ora—backup、tar—backup文件编写完成后，分别使用下述命令：</p>
<p>　　chmod 755 ora—env</p>
<p>　　chmod 755 ora—backup</p>
<p>　　chmod 755 tar—backup</p>
<p>　　这样，三个文件就都变成了可执行文件。</p>
<p>　　三、异地备份</p>
<p>　　我们知道，通常可用FTP命令在两台主机间传输数据，但一般是通过交互方式实现的，即需要手工输入目标主机的IP地址、用户名、口令等。显然，这不符合自动备份的要求。所幸的是，我们可以通过编写一个.netrc的文件来达到目标。这一文件必须命名为.netrc，且必须存放在启动FTP命令的机器上的用户注册目录中，该文件的权限应禁止组内或其它用户进行读访问。这样，当用户使用FTP命令的时候，系统将会在该用户的注册目录中寻找.netrc文件，如果能够寻找到，将会首先执行该文件，否则，会交互式地提示用户输入用户名、口令等。</p>
<p>　　在使用FTP命令之前，应先在另一台作备份用的UNIX机器上建一目录，以容纳备份文件，本文建的目录是/pub 。需要指出的是，为了加快备份速度，两台主机之间的传输速率应尽可能的高，最好位于同一局域网上。</p>
<p>　　.netrc文件内容如下：</p>
<p>　　machine host2　　</p>
<p>　　＃ host2为作备份用的主机名</p>
<p>　　login oracle　　</p>
<p>　　＃oracle为备份主机上的一个用户</p>
<p>　　password oracle　　</p>
<p>　　＃oracle用户的口令为oracle</p>
<p>　　macdef init　　　　</p>
<p>　　＃定义一个名为init的宏，它将在自动注册进程的最后被执行</p>
<p>　　bin　　　　　　</p>
<p>　　＃文件的传输方式设为二进制</p>
<p>　　lcd /backup　　</p>
<p>　　＃ 进入本地工作目录/backup</p>
<p>　　cd /pub　　　　</p>
<p>　　＃ 进入备份主机目录/pub</p>
<p>　　mput 　　　　</p>
<p>　　＃ 将/backup目录下的所有文件传输至备份主机</p>
<p>　　bye　　　　　　</p>
<p>　　＃退出FTP会话进程</p>
<p>　　.netrc文件编写完成后，使用下述命令：</p>
<p>　　chmod 600 .netrc</p>
<p>　　这样，.netrc文件就只能被该用户所访问。</p>
<p>　　四、启动备份进程</p>
<p>　　Cron是一个永久进程，它由/etc/rc.local启动执行。Cron检查/var/spool/cron/crontabs/目录中的文件，找到所要执行的任务和执行任务的时间。</p>
<p>　　Crontab文件的每一行由六个域(minutes、hours、day of month、month、day of week、 command)组成，域之间用空格或Tab分开，其中：</p>
<p>　　 minutes：分钟域，值的范围是0到59</p>
<p>　　 hours：小时域，值的范围是0到23</p>
<p>　　 day of month：日期，值的范围是1到31</p>
<p>　　 month：月份，值的范围是1到12</p>
<p>　　 day of week：星期，值的范围是0到6，星期日值为0</p>
<p>　　 command：所要运行的命令</p>
<p>　　如果一个域是，表明命令可以在该域所有可能的取值范围内执行。</p>
<p>　　如果一个域是由连字符隔开的两个数字，表明命令可以在两个数字之间的范围内执行（包括两个数字本身）。</p>
<p>　　如果一个域是由逗号隔开的一系列值组成的，表明命令可以在这些值组成的范围内执行。</p>
<p>　　如果日期域和星期域都有值，则这两个域都有效。</p>
<p>　　现在，我们编写一个文件，用以启动自动备份进程。值得注意的是，该文件只能在Oracle用户名下用crontab －e 命令来编辑，否则将不会被定时执行，文件名定为Oracle，文件将放在/var/spool/cron/crontabs 目录下。编辑完成后，可以在Oracle的＄提示符下，用crontab －l命令来查看。</p>
<p>　　Oracle文件内容：</p>
<p>0 23    /oracle/ora—backup</p>
<p>＃ 每天23点对数据库执行备份</p>
<p>0 2    /oracle/tar—backup</p>
<p>＃ 每天2点将文件备份到磁带上</p>
<p>0 4    ftp －i host2　　</p>
<p>＃ 每天4点将文件备份到另一台主机上</p>
<p>　　经过以上的操作后，系统每天晚上将自动产生一个备份，并且自动将备份文件分别拷贝到磁带上和另一台主机上。系统管理员需要做的是，隔几天换一盘磁带（更换磁带的周期取决于备份文件的大小和磁带的容量）和清理备份目录。这样，他们就可以从备份数据的繁琐中解脱出来，去做其它更有意义的工作。而数据库既实现了磁带备份，又实现了异地备份，相应的安全性也大大提高了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 04:58:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e5%a4%87%e4%bb%bd/" title="备份">备份</a>, <a href="https://www.iamivan.net/tag/backup/" title="backup">backup</a>, <a href="https://www.iamivan.net/tag/oracle%e5%a4%87%e4%bb%bd/" title="oracle备份">oracle备份</a>, <a href="https://www.iamivan.net/tag/oracle%e8%87%aa%e5%8a%a8%e5%a4%87%e4%bb%bd/" title="oracle自动备份">oracle自动备份</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle自动备份数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YKV3p.html" rel="bookmark">Oracle自动备份及自动备份步骤&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据是应用的核心部分,程序坏了换台机器重新发布就可以,但数据一旦丢失,造成的损失将不可挽回,程序发布到生产后,数据的备份便显得尤为重要,由于不一定所有的服务均有资金完成高级的备份如RAC和DG,在我们只有一台数据库服务器的,暂时采取最简单的备份策略,export出dmp进行保存. 一.备份脚本 1.初始化变量,记录开始日志 #变量 sysname=填写自己的系统名称 syspath=/home/oracle/databak/$sysname v_date=$(date '+%Y%m%d%H%M%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpm667z.html" rel="bookmark">linux下oracle自动备份脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux下oracle自动备份脚本  vi /home/oracle/backup.sh   //编写脚本 以下为脚本内容 time=` date +&quot;%Y%m%d%H%M&quot; ` //变量time 获取当前系统时间 su - oracle -c &quot;exp hbskjt_0113/password owner=hbskjt_0113 file=/home/oracle/hbskjt_$time.dmp&quot;  //导库脚本 cd /home/oracle tar zcv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKAd5M.html" rel="bookmark">Oracle自动备份脚本&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接给大家贴代码了,具体代码如下所示: #!/bin/sh #****************************************************************** # File: oraclebak.sh # Creation Date: 2014/1/22 17:57:32 # Last Modified: 2014/1/22 17:57:34 # 脚本功能:oracle备份脚本 # 执行方法:1.第一次执行需要root用户执行,脚本会以询问的方式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2846Bp.html" rel="bookmark">mysql数据库定义自动备份数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql教程数据库教程定义自动备份数据 MySQL 安装位置:D:AppServMySQL 论坛数据库名称为:flow MySQL root 密码:526888 数据库备份目的地:F:Databackup 程序代码 for /f &quot;Tokens=1 Delims=/ &quot; %%i in ('date /t') do set dt=%%i for /f &quot;Tokens=1&quot; %%i in ('time /t') do set tm=%%i set tm=%dt% SE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GBYyp.html" rel="bookmark">centos下Oracle自动备份数据库步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				**环境说明** Oracle数据库服务器 操作系统:CentOS IP:192.168.150.214 端口:1521 SID:orcl Oracle数据库版本:Oracle11gR2 用户:ts 密码:ts **详细的操作步骤如下** 1.root用户登录服务器 {{{ mkdir -p /backup/oracledata #新建Oracle数据库备份目录 chown -R oracle:oinstall /backup/oracledata -R #设置目录权限为oinstall用户组的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDwEv6p.html" rel="bookmark">Windows下通过FTP自动备份数据到服务器并删除指定天数前的备份&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明: 1.要备份的文件在D盘根目录下面,以时间命名,(一般我们通过护卫神的好备份软件实现备份)例如 D:\data_db_201112130001.BAK D:\data_db_201112140002.BAK D:\data_db_201112150003.BAK 每天会自动生成一个新的文件,例如2011年12月16号,会自动生成data_db_201112160004.BAK 2.要把D:\下面当天生成的那个数据定时备份到FTP服务器上,例如,今天是2011年12月16号,要把data_d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPV1Zz.html" rel="bookmark">Linux及Solaris系统下Oracle自动备份</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.在备份目录下(如:/u01/oracle/oradata/databak) 用vi命令创建一个autoexp.sh文件,添加以下内容: D=$(date +%d); export D; su - oracle -c &quot;exp lxxt/zjlg_lxxt owner=lxxt file=/u01/oracle/oradata/databak/lxxt${D}.dmp&quot; ----如果在solaris的环境中,就用下面的命令 --su - oracle -c &quot;exp zsx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaNaJb.html" rel="bookmark">Linux VPS 自动备份数据到远程主机FTP的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				备份的数据如果不是特别大的话,不建议压缩,防止其中可能会有已经被多次压缩过的文件损坏. 备份数据库的方式为停止MYSQL服务后备份DATA目录,期间MYSQL会中止数秒至数十秒.请自行权衡利弊. 如果系统上没有ftp命令,先执行yum install -y ftp进行安装. 需要先建立/home/backup/目录,该目录不能用作其他用途. 复制代码 代码如下: #!/bin/bash #FTP信息 FTP_IP= FTP_USER= FTP_PASS= #备份数据库 /etc/init.d/m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj71NNM.html" rel="bookmark">Oracle数据库自动备份的实现历程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: Oracle自动备份脚本的实现. 错误提示1: Message file RMAN.msb not found Verify that Oracle_HOME is set properly ...... 错误原因: 自动执行的不能够识别相应的命令,需要在自动备份脚本中显式的声明Oracle的环境变量. 错误提示2: standard in must be a tty ...... 错误原因: 不能在cron使用su或者管道等操作,必须将su命令移动到相关的shell脚本中. 错误提			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOlk3b.html" rel="bookmark" class="title">查询数据库表的所有信息脚本</a>
					<div>
						SELECT 表名=CASE WHEN C.column_id=1 THEN O.name ELSE N'' END, 表说明=ISNULL(CASE WHEN C.column_id=1 THEN  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAXXeb.html" rel="bookmark" class="title">PHP中实现面向对象编程（上）</a>
					<div>
						编程|对象 这篇文章介绍在PHP的面向对象编程(OOP).我将演示如何用面向对象的概念编出较少的代码但更好的程序.祝大家好运. 面向对象编程的概念对每一个作者来说都有不同的看法,我提醒一下一个面向对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG06Ob.html" rel="bookmark" class="title">网站链接优化内外有别 内链优化同样重要</a>
					<div>
						在网站优化方面,很多站长都明白外链优化的重要性,不是有一句行话叫做外链为皇,内容为王么!这句话就充分体现了外链的重要性,于是针对外链优化出现了数量众多的优化方法,有投机取巧的链轮和黑链,也有一本正经的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJnA6z.html" rel="bookmark" class="title">全文索引image列，全攻略！</a>
					<div>
						攻略|索引 今天&quot;百年不遇&quot;的停电了,看了一天书.晚上搞了一下全文索引,决定把心得贴出来,我尽量写的详细,大家共同学习,欢迎指正! 1.启动 Microsoft Search 服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgv56b.html" rel="bookmark" class="title">php5手动最简安装方法</a>
					<div>
						系统要求    win2000 advanced server    iis5.0    PHP5rc2      第一步    当然是先要从http://cn.php.net/get/php-5.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Kgxz.html" rel="bookmark" class="title">移动搜索未来的趋势有哪些</a>
					<div>
						随着智能手机的迅速发展,移动搜索日益盛行.根据CNNIC第三十次互联网络调查,截至2012年6月,中国手机网民的总规模为3.88亿.其中,手机浏览器用户规模为2.78亿,在手机网民中的渗透率达71.7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w2xYp.html" rel="bookmark" class="title">DB2卸载重装后重建原来的数据库报错</a>
					<div>
						我在电脑上装了DB2然后建了一个库ASF后来因为某些操作DB2不能用了,我就只能卸载后重新安装db2,安装完后想重新建库ASF,但却报错,提示我数据库以及存在,可我在控制台中确看不到.我想是我卸载时没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOmw5M.html" rel="bookmark" class="title">无线网络常识</a>
					<div>
						现在大家在室内上网,除了插网线上网,还有逐渐普及的无线上网,其实无线网络只是有线网络的一种延伸,从LAN到了WLAN,解决了最后的接入问题,我们可以在无线信号覆盖的范围内随意上网. 但这毕竟是在LAN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wmv1p.html" rel="bookmark" class="title">超实用的图库搜索引擎&plus;可商用的短片素材站</a>
					<div>
						  今天介绍的两枚酷站 ,一个是可以搜索16个小众图库的图片搜索引擎,而且大多数图片都可以免费使用.第二个酷站 提供了超多可商用的短片免费下载商用,两个素材站都很棒,建议收藏. 本文要介绍的这个 Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOPJRM.html" rel="bookmark" class="title">asp&period;net 手机号码所在地查询实现代码</a>
					<div>
						用浏览器打开手机号码查询的网站,同以上步骤找到他调用的地址,最后编写代码如下:  代码如下 using System; using System.Windows.Forms; using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElqKLz.html" rel="bookmark" class="title">ajax中获取和发送二进制数据的方法</a>
					<div>
						  用ajax从服务器端获取二进制时, 需要用overrideMimtType设置request头,让浏览器不要修改读取的的数据,方法如下: var xhr = new XMLHttpRequest( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7050M.html" rel="bookmark" class="title">关于IIS 对temp目录权限问题</a>
					<div>
						  拒绝访问 temp 目录.用来运行 XmlSerializer 的标识&quot;NT AUTHORITYNETWORK SERVICE&quot;没有访问 temp 目录的足够权限.CodeDo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGEK7b.html" rel="bookmark" class="title">win7系统怎么正确连接投影仪设备</a>
					<div>
						  win7系统怎么正确连接投影仪设备?投影仪设备不仅用在学习,在家庭.在办公等场所都需要用到,因此掌握投影仪的连接设置显得十分重要.经常有用户在询问Win7系统怎么连接投影仪?下面我们就Win7 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP82PAp.html" rel="bookmark" class="title">win8系统U盘弹出后重新启用怎么设置</a>
					<div>
						  1.首先,咱们需要返回到win8系统的传统桌面位置,之后,咱们找到桌面的这台电脑图标,右键点击这台电脑,然后在出现的菜单中,咱们选择设备管理器选项. 2.这样咱们就可以打开win8电脑的设备管理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYrvoM.html" rel="bookmark" class="title">怎样解决我的电脑不显示扫描仪和摄像头</a>
					<div>
						  最近笔者遇到了一个电脑故障:在&quot;我的电脑&quot;中不显示扫描仪和摄像头.起初以为驱动没装好,但经过仔细研究,终于找到原因. 可能一: Windows Image Acquisitio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6ZO6b.html" rel="bookmark" class="title">MySQL Driver 5&period;1&period;X与6&period;X日期兼容性问题</a>
					<div>
						1.引言 最近在一个新项目里尝试使用mysql-connector-java-6.0.5.jar,但是从MaxCompute(原名ODPS)中导入MySQL的数据在控制台中看到是正常的,从Java应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42OaqM.html" rel="bookmark" class="title">架构师成长之路：从学习到架构&lbrack;上篇&rsqb;</a>
					<div>
						对于技术人员的成长历程而言,每个架构师都需要从一步步学习并且积累经验,不断完善自己的能力.而对很多同学而言,往往在成长的历程中会经历很多困惑,本文来自中生代技术群(FreshmanTechnology ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NVBWM.html" rel="bookmark" class="title">html 中 title 标签里的字体可以设置吗</a>
					<div>
						问题描述 html 中 title 标签里的字体可以设置吗 head title 字体设置应该如何设置,好像一般字体的那种设置没有效果 解决方案 不可以..这个是浏览器自己显示的 解决方案二: 这个依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NDD8M.html" rel="bookmark" class="title">国字号支付平台接连出招 第三方支付内外混战</a>
					<div>
						在VISA和中国银联的封堵与反击战硝烟正浓之际,一场围绕第三方支付的海内外角力正在各层次延展.在民营第三方支付公司为金融牌照而秣马厉兵之时,中国银联宣布将与Paypal合作以便中国银联的用户进行海外网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAKv6p.html" rel="bookmark" class="title">上海交大获ACM大赛世界冠军</a>
					<div>
						由IBM赞助.哈尔滨工程大学承办的第三十四届美国计算机协会(ACM)国际大学生程序设计大赛(ICPC)全球总决赛2月5日在哈尔滨成功举行,最终中国的上海交通大学代表队摘取了此次ACM大赛世界冠军. 来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV04ZVM.html" rel="bookmark" class="title">《乐高EV3机器人搭建与编程》一2&period;7　齿轮</a>
					<div>
						2.7 齿轮 除了目前为止讨论到的一些细微的差别, LEGO教育版还有一些更有趣的齿轮,如带有横梁接孔的齿轮(如图2.13所示),实际上这是转盘齿轮的一部分.我将在本章下文&quot;齿轮和接口&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NR1Zb.html" rel="bookmark" class="title">php获取远程图片并下载保存到本地的方法分析&lowbar;php技巧</a>
					<div>
						本文实例讲述了php获取远程图片并下载保存到本地的方法.分享给大家供大家参考,具体如下: 远程图片指的是远端服务器上的数据我们可以通过php的许多函数来读取下载了,这里整理了两个可以自动下载远程图片并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLjv3M.html" rel="bookmark" class="title">jQuery使用ajax跨域获取数据的简单实例&lowbar;jquery</a>
					<div>
						jQuery使用ajax跨域获取数据的简单实例 var webMethod = &quot;http://localhost:54473/Service1.asmx/HelloWorld&quot;; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1aDab.html" rel="bookmark" class="title">更简单、更快捷：探讨深度学习的未来发展步伐</a>
					<div>
						机器学习是一门多领域交叉学科,专门研究计算机怎样模拟或实现人类的学习行为,以获取新的知识或技能,重新组织已有的知识结构使之不断改善自身的性能.它是人工智能的核心,是使计算机具有智能的根本途径. 如果论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Bmnp.html" rel="bookmark" class="title">javascript在将字符串转换成日期类型的时候8月份解析出现问题</a>
					<div>
						问题描述 javascript在将字符串转换成日期类型的时候8月份解析出现问题 javascript在将字符串转换成日期类型的时候8月份解析出现问题,解析日期年份减一月份加一,怎么回事? 如题目所说的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK3G4z.html" rel="bookmark" class="title">云计算大会有感&mdash;MapReduce和UDF</a>
					<div>
						(转载请注明出处:http://blog.csdn.net/buptgshengod) 1.参会有感       首先还是非常感谢CSDN能给我票,让我有机会参加这次中国云计算峰会.感觉不写点什么对不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd0X4M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;媒婆&rdquo;融360：上线当月就A轮融资700万美金</a>
					<div>
						搜索引擎+B2C式的电子商务平台,融360瞄准了中国2亿用户这是一个创业三人组的故事,起点是北京中关村着名的创业&quot;居民楼&quot;华清嘉园.2011年秋天,叶大清和他的两位伙伴--陆佳彦. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWkgWp.html" rel="bookmark" class="title">大学毕业了求帮忙</a>
					<div>
						问题描述 马上就要毕业了,学校不让出去实习,非要在学校里搞实训,卡在这里.我不打算走编程这条路,因为自己也不是这块料,当初只因为怕考不上大学,所以选了这个学费高的学校.希望大家能帮帮忙,实训过不了不给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWmwQp.html" rel="bookmark" class="title">被K的网站排名竟然又回来了&excl;太神奇了</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 seo这一行业不在神秘了,如今越来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DvPKb.html" rel="bookmark" class="title">《HTML5 开发实例大全》&mdash;&mdash;1&period;9 使用&amp;lt&semi; summary &amp;gt&semi;标记元素实现交互</a>
					<div>
						1.9 使用&lt; summary &gt;标记元素实现交互 https://yqfile.alicdn.com/ff51224fc6e74576b1d2587a54377eb2ee76b59d.p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
